Subject: (ngtrans) draft-ietf-ngtrans-ipv4survey-01.txt

From: Jun-ichiro itojun Hagino <[email-masked]>
Date: Fri, 26 Oct 2001 12:28:23 +0900

here are a couple of comments to the draft.  thanks for the great work.

itojun

3.09 RFC 959 File Transfer Protocol

relevant IPv6 standard exists for PORT and PASV, I don't see it
why it is not mentioned (the draft lists the following two RFCs separately).

>1639 FTP Operation Over Big Address Records (FOOBAR). D. Piscitello.
>     June 1994. (Format: TXT=10055 bytes) (Obsoletes RFC1545) (Status:
>     EXPERIMENTAL)
>2428 FTP Extensions for IPv6 and NATs. M. Allman, S. Ostermann, C.
>     Metz. September 1998. (Format: TXT=16028 bytes) (Status: PROPOSED
>     STANDARD)

3.46 RFC 1201 Transmitting IP traffic over ARCNET networks

relevant IPv6 standard exists:

>2497 Transmission of IPv6 Packets over ARCnet Networks. I. Souvatzis.
>     January 1999. (Format: TXT=10304 bytes) (Also RFC1201) (Status:
>     PROPOSED STANDARD)

4.05 RFC 1191 Path MTU discovery (IP-MTU)

relevant IPv6 standard exists (5.132 mentions it, not sure why it is not
mentioned in 4.05):

>1981 Path MTU Discovery for IP version 6. J. McCann, S. Deering, J.
>     Mogul. August 1996. (Format: TXT=34088 bytes) (Status: PROPOSED
>     STANDARD)

4.24 RFC 1771 A Border Gateway Protocol 4 (BGP-4) (BGP-4)

BGP4+ (RFC1771 + RFC2283) has been used for exchanging IPv6 routing information.

>1771 A Border Gateway Protocol 4 (BGP-4). Y. Rekhter, T. Li. March
>     1995. (Format: TXT=131903 bytes) (Obsoletes RFC1654) (Status: DRAFT
>     STANDARD)
>2283 Multiprotocol Extensions for BGP-4. T. Bates, R. Chandra, D.
>     Katz, Y. Rekhter. February 1998. (Format: TXT=18946 bytes) (Obsoleted
>     by RFC2858) (Status: PROPOSED STANDARD)

4.65 RFC 2865 Remote Authentication Dial In User Service (RADIUS) (RADIUS)

>3162 RADIUS and IPv6. B. Aboba, G. Zorn, D. Mitton. August 2001.
>     (Format: TXT=20492 bytes) (Status: PROPOSED STANDARD)

5.033 RFC 1332 The PPP Internet Protocol Control Protocol (IPCP)
      (PPP-IPCP)

>2472 IP Version 6 over PPP. D. Haskin, E. Allen. December 1998.
>     (Format: TXT=29696 bytes) (Obsoletes RFC2023) (Status: PROPOSED
>     STANDARD)

5.034 RFC 1370 Applicability Statement for OSPF

>2740 OSPF for IPv6. R. Coltun, D. Ferguson, J. Moy. December 1999.
>     (Format: TXT=189810 bytes) (Status: PROPOSED STANDARD)